Subject: Re: [bug#50052] [PATCH] Add prusa-slicer

From: Ivan Gankevich <[email-masked]>
Date: Tue, 17 Aug 2021 10:18:57 +0300

>You're completely right, I should have to searched more thoroughly any 
>ongoing effort packaging prusa-slicer. At this point, the best thing I 
>should do is to send an email to the list to discard my package and 
>encourage to take a look at yours, since are way more advanced than mine.

Thanks! Lets hope it will be accepted soon.

>You are also right with the -DSLIC3R_FHS=1. I thought that that will 
>make the executable look for the resources outside the /gnu/stare 
>folder, where nothing would be found, but it works, can you briefly 
>point me to what is happening? Thank you so much!

That is a good question for prusa slicer developers :-) My guess is that using file system hierarchy standard (-DSLIC3R_FHS=1) means that the project uses default procedure to install the package which is modified by Guix to install it to /gnu/store directory. But when this option is disabled the package is installed in the same directory using non standard procedure about which Guix knows nothing. It could also be a bug in prusa slicer build files.